org.bdgenomics.adam.rdd.read

# FASTQInFormatter

###
Related Docs: class FASTQInFormatter | package read

#### object FASTQInFormatter extends InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, FASTQInFormatter] with Serializable

InFormatter companion that creates an InFormatter that writes FASTQ.

Linear Supertypes
Serializable, Serializable, InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, FASTQInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FASTQInFormatter
2. Serializable
3. Serializable
4. InFormatterCompanion
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(gRdd: AlignmentRecordRDD): FASTQInFormatter

   Builds an FASTQInFormatter to write FASTQ.

   Builds an FASTQInFormatter to write FASTQ.

   gRdd

     GenomicRDD of AlignmentRecords. Used to get HadoopConfiguration.

   returns

     Returns a new Single FASTQ InFormatter.

   Definition Classes
     FASTQInFormatter → InFormatterCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, FASTQInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped